import { request } from '@/plugins/http-fetch';

/**
 * 历史记录列表
 * @param query 查询参数
 * @returns object
 */
export function listNBState(query: Record<string, any>) {
  return request({
    url: '/neData/nb-state/list',
    method: 'GET',
    params: query,
    timeout: 60_000,
  });
}

/**
 * 历史记录列表导出
 * @param data 查询列表条件
 * @returns object
 */
export function exportNBState(data: Record<string, any>) {
  return request({
    url: '/neData/nb-state/export',
    method: 'POST',
    data,
    responseType: 'blob',
    timeout: 60_000,
  });
}
